> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Contract Creator and Creation Tx Hash

> Retrieve a contract's deployer address and creation transaction.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "status":"1",
    "message":"OK",
    "result":[
      {
        "contractAddress":"0xdac17f958d2ee523a2206206994597c13d831ec7",
        "contractCreator":"0x36928500bc1dcd7af6a2b4008875cc336b927d57",
        "txHash":"0x2f1c5c2b44f771e942a8506148e256f94f1a464babc938ae0690c6e34cd79190",
        "blockNumber":"4634748",
        "timestamp":"1511829681",
        "contractFactory":"",
        "creationBytecode":"0x606060405260008060146101000a81548160ff0219169083151502179055506000600355600060045534156200003457600080fd5b60405162002d7c38038062002d7c83398101604052808051906020019091908051820191906020018051820191906020018051906020019091905050336000806101000a81548173ffffffffffffffffffffffffffffffffffffffff021916908373ffffffffffffffffffffffffffffffffffffffff160217905550836001819055508260079080519060200190620000cf9291906200017a565b508160089080519060200190620000e89291906200017a565b508060098190555083600260008060009054906101000a900473ffffffffffffffffffffffffffffffffffffffff1673ffffffffffffffffffffffffffffffffffffffff1673ffffffffffffffffffffffffffffffffffffffff168152602001908152602001600020819055506000600a60146101000a81548160ff0219169083151502179055505050505062000229565b828054600181600116156101000203166002900490600052602060002090601f016020900481019282601f10620001bd57805160ff1916838001178555620001ee565b82800160010185558215620001ee579182015b82811115620001ed578251825591602001919060"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/getcontractcreation.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Contract Creator and Creation Tx Hash
  version: 2.0.0
  description: Retrieve a contract's deployer address and creation transaction.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Contract Creator and Creation Tx Hash
      description: Retrieve a contract's deployer address and creation transaction.
      operationId: getGetcontractcreation
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to contract for this endpoint.
          schema:
            type: string
            default: contract
          example: contract
        - name: action
          in: query
          required: true
          description: Set to getcontractcreation for this endpoint.
          schema:
            type: string
            default: getcontractcreation
          example: getcontractcreation
        - name: contractaddresses
          in: query
          required: true
          description: Up to 5 contract addresses, separated by commas.
          schema:
            type: string
          example: >-
            0xB83c27805aAcA5C7082eB45C868d955Cf04C337F,0x68b3465833fb72A70ecDF485E0e4C7bD8665Fc45
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        contractAddress:
                          type: string
                          description: Address of the created contract.
                        contractCreator:
                          type: string
                          description: Address that created the contract.
                        txHash:
                          type: string
                          description: Hash of the transaction that created the contract.
                        blockNumber:
                          type: string
                          description: Block number in which the contract was created.
                        timestamp:
                          type: string
                          description: >-
                            Time the contract was created, as a UNIX timestamp
                            in seconds.
                        contractFactory:
                          type: string
                          description: >-
                            Address of the factory contract that created it, if
                            any.
                        creationBytecode:
                          type: string
                          description: Bytecode submitted to create the contract.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````